Supported platforms

Supported operating systems, JRE/JDKs, and browsers for DataStax Enterprise, DataStax Studio, and DSE OpsCenter.

Attention: Be sure to check the end-of-life status for your platform. DataStax no longer supports EOSL versions of JVMs or operating systems. EOSL versions are shown here for clarity.

The following platforms and versions are supported and tested by DataStax to work with DataStax products. Other platforms or versions may work, but have not been tested.

Requirement for Uniform Clusters

All Nodes in each Cluster must be uniformly licensed to use the same Subscription. For example, if a Cluster contains 5 Nodes, all 5 Nodes within that Cluster must be either DataStax Basic, or all 5 Nodes must be DataStax Enterprise. Mixing different Subscriptions within a Cluster is not permitted. “Cluster” means a collection of Nodes running the Software which communicate with one another via Gossip, and “Gossip” means the mechanism within the Software enabling related Nodes to communicate with one another. For more information, see Enterprise Terms.

Supported platforms for DataStax Enterprise 6.0, 5.1, and 5.0

Operating system DSE 6.0 (x86_64) DSE 5.1 (x86_64) DSE 5.0 (x86_64)
Amazon Linux
Amazon Linux AMI 2016.09 and 2017.03.

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full (2016.09 only)

Package, tarball, DataStax Installer

Debian
Debian 9.x

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Debian 8.x

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Debian 7.x Not supported Not supported Not supported
CentOS
CentOS 7.5

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 7.4

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 7.3

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 7.2

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 7.1

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 6.9

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 6.8

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

CentOS 6.7

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Mac OS X
10.11

Dev only

Tarball

Dev only

Tarball, DataStax Installer

Dev only

Tarball, DataStax Installer

10.10

Dev only

Tarball

Dev only

Tarball, DataStax Installer

Dev only

Tarball, DataStax Installer

10.9

Dev only

Tarball

Dev only

Tarball, DataStax Installer

Dev only

Tarball, DataStax Installer

Oracle Linux
Oracle Linux 6 Update 9

Full

Package, tarball

Full

Package, tarball

Not supported
Red Hat Enterprise Linux
Red Hat Enterprise Linux 7.5

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 7.4

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 7.3

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 7.2

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 7.1

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 6.9

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 6.8

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Red Hat Enterprise Linux 6.7

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

SUSE Linux Enterprise Server
SUSE Enterprise Linux 12

Full

Tarball

Full

Tarball

Full

Tarball

SUSE Enterprise Linux 11

Full

Tarball

Full

Tarball

Full

Tarball

Ubuntu (LTS releases only)
Ubuntu LTS 16.04

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Ubuntu LTS 14.04

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Ubuntu LTS 12.04

Full

Package, tarball

Full

Package, tarball, DataStax Installer

Full

Package, tarball, DataStax Installer

Supported platforms for OpsCenter 6.5, 6.1, and 6.0

Operating system OpsCenter 6.5 (x86_64) OpsCenter 6.1 (x86_64) note OpsCenter 6.0
Amazon Linux
Amazon Linux AMI 2016.09 and 2017.03.

Full

Package, tarball

Full

Package, tarball

LCM not supported

Package, tarball

Debian
Debian 9.x

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Debian 8.x

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Debian 7.x Not supported Not supported Not supported
CentOS
CentOS 7.4

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 7.3

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 7.2

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 7.1

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 6.9

Full

Package, tarball

Full

Package, tarball

Not supported
CentOS 6.8

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

CentOS 6.7

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Mac OS X
10.11

Dev only

Tarball

Dev only

Tarball

Dev only

Tarball

10.10

Dev only

Tarball

Dev only

Tarball

Dev only

Tarball

10.9

Dev only

Tarball

Dev only

Tarball

Dev only

Tarball

Red Hat Enterprise Linux
Red Hat Enterprise Linux 7.4

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 7.3

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 7.2

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 7.1

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 6.9

Full

Package, tarball

Full

Package, tarball

Not supported
Red Hat Enterprise Linux 6.8

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Red Hat Enterprise Linux 6.7

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

SUSE Linux Enterprise Server
SUSE Enterprise Linux 12

OpsCenter LCM not supported

Tarball

OpsCenter LCM not supported

Tarball

OpsCenter LCM not supported

Tarball

SUSE Enterprise Linux 11

OpsCenter LCM not supported

Tarball

OpsCenter LCM not supported

Tarball

OpsCenter LCM not supported

Tarball

Ubuntu (LTS releases only)
Ubuntu LTS 16.04

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Ubuntu LTS 14.04

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Ubuntu LTS 12.04

Full

Package, tarball

Full

Package, tarball

Full

Package, tarball

Note: Starting with OpsCenter 6.1.3, LCM automatically performs an OS supported platform check for the version of DSE being installed.

JREs and JDKs supported by DataStax products

Product OpenJDK Oracle JRE/JDK*
DataStax Enterprise
DSE 6.0 OpenJDK 8 (at least 1.8.0_151) Oracle Java 8 (at least 1.8.0_151)
DSE 5.1, 5.0 OpenJDK 8 (at least 1.8.0_40) Oracle Java 8 (at least 1.8.0_40)
DSE 4.8, 4.7 OpenJDK 7 (at least 1.7.0_25)

Oracle Java 7 (at least 1.7.0_25)
Oracle Java 8 (at least 1.8.0_40)

OpsCenter
OpsCenter 6.5, 6.1, 6.0 OpenJDK 8 Oracle Java 8 (JDK or JRE)
DataStax Studio
Studio 6.0 (Linux) OpenJDK 8 Oracle Java 8 (at least 1.8.0_151)
Studio 2.0 (Linux) OpenJDK 8 Oracle Java 8 (at least 1.8.0_40)
Studio 2.0 (Windows 7 and 10) Not supported Oracle Java 8

* The latest build of the supported Oracle JRE or JDK 8 version is recommended.

Note: Starting with DSE 5.1.11 and 6.0.3, DataStax does more extensive testing on OpenJDK 8. This change is due to the end of public updates for Oracle JRE/JDK 8. See Oracle Java SE Support Roadmap.

Supported browsers for DSE OpsCenter and DataStax Studio

Browser DSE OpsCenter DataStax Studio**
Apple Safari Yes Mac OS X 10.11, 10.12, 10.13
Google Chrome Yes

Ubuntu 14.04 LTS, 16.04 LTS
Mac OS X 10.11,10.12, 10.13
Windows 7, 10
CentOS 7

Internet Explorer No No
Microsoft Edge No No
Mozilla Firefox Yes

Ubuntu 14.04 LTS, 16.04 LTS
Mac OS X 10.11, 10.12, 10.13
Windows 7, 10
CentOS 6.8, 7

** DataStax Studio is tested on the listed platforms (all 64-bit) with the latest versions of the specified web browsers.

Supported platforms for DataStax Enterprise 4.6.x to 4.8.x (EOSL)

Operating system Architecture Versions 4.6.x to 4.8.x
Debian
Debian 6.x-7.1 x86 Dev only
Debian 6.x-7.1 x86_64 Full
CentOS
CentOs 7.3 x86_64 Full (4.8.12 and later)
CentOs 7.2 x86_64 Full (4.8.9 and later)
CentOS 7.1 x86_64 Full (4.8.4 and later)
CentOS 7.0 x86 Dev only
CentOS 7.0 x86_64 Full
CentOS 6.8 x86_64 Full (4.8.12 and later)
CentOS 6.7 x86_64 Full (4.8.5 and later)
CentOS 5.8-6.5 x86 Dev only
CentOS 5.8-6.5 x86_64 Full
Mac
OS X 10.6 x86, x86_64 Dev only
OS X 10.5 x86, x86_64 Dev only
Oracle
Oracle Linux 6 x86 Dev only
Oracle Linux 6 x86_64 Full
Red Hat Enterprise Linux
Red Hat Enterprise Linux 7.3 x86_64 Full (4.8.12 and later)
Red Hat Enterprise Linux 7.2 x86_64 Full (4.8.9 and later)
Red Hat Enterprise Linux 7.0 x86 Dev only
Red Hat Enterprise Linux 7.0 x86_64 Full
Red Hat Enterprise Linux 6.7 x86_64 Full (4.8.5 and later)
Red Hat Enterprise Linux 5.8-6.5 x86 Dev only
Red Hat Enterprise Linux 5.8-6.5 x86_64 Full
SUSE Linux Enterprise Server
SUSE Enterprise Linux 11.2 x86_64 Full (tarball only)
SUSE Enterprise Linux 11.4 x86_64 Full (tarball only)
Ubuntu
Ubuntu 11.x-13.04 x86 Dev only
Ubuntu 11.x-13.04 x86_64 Full
Ubuntu 14.04 x86 Dev only
Ubuntu 14.04 x86_64 Full
Note: DataStax products do not support big-endian systems.